set(TARGET_NAME "tbpmtest")

file(GLOB_RECURSE BUILD_SRC *.cpp *.h)
add_executable(${TARGET_NAME} ${BUILD_SRC})

target_link_directories(${TARGET_NAME} PUBLIC ${CMAKE_LIBRARY_OUTPUT_DIRECTORY})
target_link_libraries(${TARGET_NAME} PUBLIC tbplas)

# if(WIN32)
#     target_link_libraries(${TARGET_NAME} PUBLIC shlwapi)
# elseif(UNIX)
#     target_link_libraries(${TARGET_NAME} PUBLIC pthread)
# endif()